package com.sckw.usual.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.sckw.usual.entity.KwWaybillCountVo;
import com.sckw.usual.entity.KwWaybillOrder;
import com.sckw.usual.entity.WaybillGoodsDto;
import com.sckw.usual.entity.req.waybill.WaybillPageListReq;
import com.sckw.usual.entity.res.waybill.WaybillPageListRes;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;
import java.util.Map;

@Mapper
public interface KwWaybillOrderMapper extends BaseMapper<KwWaybillOrder> {

    int selectDataByLorderId(@Param("id") String id, @Param("statusList") List<Integer> statusList);

    KwWaybillCountVo findWaybillOrderCount(Map<String, Object> params);

    List<KwWaybillOrder> findWaybillOrder(Map<String, Object> params);

    List<WaybillPageListRes> selectPageList(@Param("params") WaybillPageListReq param);

    List<Map<String, Object>> countByStatus();

    List<WaybillGoodsDto> findByWaybillIds(@Param("waybillIds") List<Long> waybillIds);
}
